package com.sf.web.dms.statistics.entity;

package ..deTemp.1731160762387;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.smartframework.core.annotation.SmartComment;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "asset_rtu")
@SmartComment("asset_rtu")
@JsonIgnoreProperties(ignoreUnknown = true)
public class AssetRtu implements Serializable {
  @Id
  @Column(name = "id", length = 10, nullable = false)
  private Long id;
  
  @Column(name = "description", length = 100)
  private String description;
  
  @Column(name = "status", length = 10)
  private Integer status;
  
  @Column(name = "maintenance_flag", length = 10)
  private Integer maintenanceFlag;
  
  @Column(name = "type", length = 10)
  private Integer type;
  
  @Column(name = "comm_type", length = 10)
  private Integer commType;
  
  @Column(name = "manu_fac", length = 10)
  private Integer manuFac;
  
  @Column(name = "division_id", length = 19)
  private Long divisionId;
  
  @Column(name = "station_id", length = 19)
  private Long stationId;
  
  @Column(name = "feeder_id", length = 19)
  private Long feederId;
  
  @Column(name = "position", length = 100)
  private String position;
  
  @Column(name = "org_id", length = 10)
  private Integer orgId;
  
  @Column(name = "model", length = 64)
  private String model;
  
  @Column(name = "product_time", length = 19)
  private Date productTime;
  
  @Column(name = "automation_type", length = 10)
  private Date automationType;
  
  @Column(name = "use_time", length = 19)
  private Date useTime;
  
  @Column(name = "fat_time", length = 19)
  private Date fatTime;
  
  @Column(name = "exam_time", length = 19)
  private Date examTime;
  
  @Column(name = "retire_time", length = 19)
  private Date retireTime;
  
  @Column(name = "accept_time", length = 19)
  private Date acceptTime;
  
  @Column(name = "reject_time", length = 19)
  private Date rejectTime;
  
  @Column(name = "is_unused", length = 10)
  private Integer isUnused;
  
  @Column(name = "project_property", length = 64)
  private String projectProperty;
  
  @Column(name = "cpu_version", length = 32)
  private String cpuVersion;
  
  @Column(name = "com_version", length = 32)
  private String comVersion;
  
  @Column(name = "switch_model", length = 64)
  private String switchModel;
  
  @Column(name = "switch_ip", length = 16)
  private String switchIp;
  
  @Column(name = "wireless_version", length = 32)
  private String wirelessVersion;
  
  @Column(name = "rtu_ip", length = 16)
  private String rtuIp;
  
  @Column(name = "sim_card", length = 32)
  private String simCard;
  
  @Column(name = "iccid_card", length = 32)
  private String iccidCard;
  
  @Column(name = "protect_status", length = 32)
  private String protectStatus;
  
  @Column(name = "reclose_status", length = 32)
  private String recloseStatus;
  
  @Column(name = "pos_type", length = 32)
  private String posType;
  
  @Column(name = "cmnt", length = 128)
  private String cmnt;
  
  @Column(name = "rtu_class", length = 32)
  private String rtuClass;
  
  @Column(name = "rtu_code", length = 100)
  private String rtuCode;
  
  @Column(name = "rtu_code_type", length = 100)
  private String rtuCodeType;
  
  @Column(name = "liaison", length = 10)
  private Integer liaison;
  
  public void setId(Long id) {
    this.id = id;
  }
  
  public Long getId() {
    return this.id;
  }
  
  public Date getAutomationType() {
    return this.automationType;
  }
  
  public void setAutomationType(Date automationType) {
    this.automationType = automationType;
  }
  
  public Date getUseTime() {
    return this.useTime;
  }
  
  public void setUseTime(Date useTime) {
    this.useTime = useTime;
  }
  
  public void setDescription(String description) {
    this.description = description;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setStatus(Integer status) {
    this.status = status;
  }
  
  public Integer getStatus() {
    return this.status;
  }
  
  public void setType(Integer type) {
    this.type = type;
  }
  
  public Integer getType() {
    return this.type;
  }
  
  public Integer getMaintenanceFlag() {
    return this.maintenanceFlag;
  }
  
  public void setMaintenance(Integer maintenanceFlag) {
    this.maintenanceFlag = maintenanceFlag;
  }
  
  public void setCommType(Integer commType) {
    this.commType = commType;
  }
  
  public Integer getCommType() {
    return this.commType;
  }
  
  public void setManuFac(Integer manuFac) {
    this.manuFac = manuFac;
  }
  
  public Integer getManuFac() {
    return this.manuFac;
  }
  
  public void setDivisionId(Long divisionId) {
    this.divisionId = divisionId;
  }
  
  public Long getDivisionId() {
    return this.divisionId;
  }
  
  public void setStationId(Long stationId) {
    this.stationId = stationId;
  }
  
  public Long getStationId() {
    return this.stationId;
  }
  
  public void setFeederId(Long feederId) {
    this.feederId = feederId;
  }
  
  public Long getFeederId() {
    return this.feederId;
  }
  
  public void setPosition(String position) {
    this.position = position;
  }
  
  public String getPosition() {
    return this.position;
  }
  
  public void setOrgId(Integer orgId) {
    this.orgId = orgId;
  }
  
  public Integer getOrgId() {
    return this.orgId;
  }
  
  public void setModel(String model) {
    this.model = model;
  }
  
  public String getModel() {
    return this.model;
  }
  
  public void setProductTime(Date productTime) {
    this.productTime = productTime;
  }
  
  public Date getProductTime() {
    return this.productTime;
  }
  
  public void setFatTime(Date fatTime) {
    this.fatTime = fatTime;
  }
  
  public Date getFatTime() {
    return this.fatTime;
  }
  
  public void setExamTime(Date examTime) {
    this.examTime = examTime;
  }
  
  public Date getExamTime() {
    return this.examTime;
  }
  
  public void setRetireTime(Date retireTime) {
    this.retireTime = retireTime;
  }
  
  public Date getRetireTime() {
    return this.retireTime;
  }
  
  public void setAcceptTime(Date acceptTime) {
    this.acceptTime = acceptTime;
  }
  
  public Date getAcceptTime() {
    return this.acceptTime;
  }
  
  public void setRejectTime(Date rejectTime) {
    this.rejectTime = rejectTime;
  }
  
  public Date getRejectTime() {
    return this.rejectTime;
  }
  
  public void setIsUnused(Integer isUnused) {
    this.isUnused = isUnused;
  }
  
  public Integer getIsUnused() {
    return this.isUnused;
  }
  
  public String getProjectProperty() {
    return this.projectProperty;
  }
  
  public void setProjectProperty(String projectProperty) {
    this.projectProperty = projectProperty;
  }
  
  public String getCpuVersion() {
    return this.cpuVersion;
  }
  
  public void setCpuVersion(String cpuVersion) {
    this.cpuVersion = cpuVersion;
  }
  
  public String getComVersion() {
    return this.comVersion;
  }
  
  public void setComVersion(String comVersion) {
    this.comVersion = comVersion;
  }
  
  public String getSwitchModel() {
    return this.switchModel;
  }
  
  public void setSwitchModel(String switchModel) {
    this.switchModel = switchModel;
  }
  
  public String getSwitchIp() {
    return this.switchIp;
  }
  
  public void setSwitchIp(String switchIp) {
    this.switchIp = switchIp;
  }
  
  public String getWirelessVersion() {
    return this.wirelessVersion;
  }
  
  public void setWirelessVersion(String wirelessVersion) {
    this.wirelessVersion = wirelessVersion;
  }
  
  public String getRtuIp() {
    return this.rtuIp;
  }
  
  public void setRtuIp(String rtuIp) {
    this.rtuIp = rtuIp;
  }
  
  public String getSimCard() {
    return this.simCard;
  }
  
  public void setSimCard(String simCard) {
    this.simCard = simCard;
  }
  
  public String getIccidCard() {
    return this.iccidCard;
  }
  
  public void setIccidCard(String iccidCard) {
    this.iccidCard = iccidCard;
  }
  
  public String getProtectStatus() {
    return this.protectStatus;
  }
  
  public void setProtectStatus(String protectStatus) {
    this.protectStatus = protectStatus;
  }
  
  public String getRecloseStatus() {
    return this.recloseStatus;
  }
  
  public void setRecloseStatus(String recloseStatus) {
    this.recloseStatus = recloseStatus;
  }
  
  public String getPosType() {
    return this.posType;
  }
  
  public void setPosType(String posType) {
    this.posType = posType;
  }
  
  public String getCmnt() {
    return this.cmnt;
  }
  
  public void setCmnt(String cmnt) {
    this.cmnt = cmnt;
  }
  
  public String getRtuClass() {
    return this.rtuClass;
  }
  
  public void setRtuClass(String rtuClass) {
    this.rtuClass = rtuClass;
  }
  
  public String getRtuCode() {
    return this.rtuCode;
  }
  
  public void setRtuCode(String rtuCode) {
    this.rtuCode = rtuCode;
  }
  
  public String getRtuCodeType() {
    return this.rtuCodeType;
  }
  
  public void setRtuCodeType(String rtuCodeType) {
    this.rtuCodeType = rtuCodeType;
  }
  
  public void setLiaison(Integer liaison) {
    this.liaison = liaison;
  }
  
  public Integer getLiaison() {
    return this.liaison;
  }
}
